repositories:
  - name: haproxytech
    url: https://haproxytech.github.io/helm-charts
  - name: jaegertracing
    url: https://jaegertracing.github.io/helm-charts
  - name: opensearch
    url: https://opensearch-project.github.io/helm-charts
  - name: open-telemetry
    url: https://open-telemetry.github.io/opentelemetry-helm-charts
  - name: jetstack
    url: https://charts.jetstack.io
  - name: bitnami
    url: https://charts.bitnami.com/bitnami

hooks:
  - events: ["prepare"]
    showlogs: true
    command: "kubectl"
    args: ['apply', '-f', 'bootstrap.yaml']
  - events: ["prepare"]
    showlogs: true
    command: "kubectl"
    args: ['apply', '-f', 'calico-network-policy.yaml']

releases:
  - name: cert-manager
    namespace: cert-manager
    chart: bitnami/cert-manager
    version: 0.8.12
    hooks:
      - events: ["preapply"]
        showlogs: true
        command: "kubectl"
        args: ['apply', '-f', 'cert-manager-crds.yaml']
      - events: ["preapply"]
        showlogs: true
        command: "kubectl"
        args: ['apply', '-f', 'cert-manager-ca.yaml']
  - name: haproxy-ingress
    namespace: ingress
    chart: haproxytech/kubernetes-ingress
    version: 1.27.0
    values:
      - ./haproxy-ingress-values.yaml
  - name: opensearch
    namespace: opensearch
    chart: opensearch/opensearch
    version: 2.9.1
    values:
      - ./opensearch-values.yaml
  - name: jaeger
    namespace: jaeger
    chart: jaegertracing/jaeger
    version: 0.67.2
    values:
      - ./jaeger-values.yaml
  - name: otel-demo
    namespace: otel
    chart: open-telemetry/opentelemetry-demo
    version: 0.15.4
    values:
      - ./opentelemetry-demo-values.yaml
